`//------------------------------------------------------------------------------------------------------
//
//  Config.c
//
//  Configuration bits for PixieMAC applications 
//
//  (c) FlexiPanel Ltd
// 
//-------------------------------------------------------------------------------------------------------

#include <p18cxxx.h>

//--------------------------------------------------------------------------------------------------------
 
    #pragma romdata CONFIG1H = 0x300001
#if defined(OSC_4MHz)
    const rom unsigned char config1H = 0b00000110;      // HSPLL oscillator
#elif defined(OSC_16MHz)
    const rom unsigned char config1H = 0b00000010;     	// HS oscillator
#elif defined(OSC_INTERNAL)
    const rom unsigned char config1H = 0b00001000;      // internal oscillator 
#else
    #error "osc not defined"
#endif

    #pragma romdata CONFIG2L = 0x300002
    const rom unsigned char config2L = 0b00011111;      // Brown-out Reset Enabled in hardware @ 2.0V, PWRTEN disabled

    #pragma romdata CONFIG2H = 0x300003
    const rom unsigned char config2H = 0b00010010;      // HW WD disabled, 1:512 prescaler (two second)

    #pragma romdata CONFIG3H = 0x300005
    const rom unsigned char config3H = 0b10000000;      // PORTB digital on RESET, NMCLR enabled

    #pragma romdata CONFIG4L = 0x300006

#if defined(DEBUG_MODE)
    const rom unsigned char config4L = 0b00000001;      // DEBUG enabled,
                                                        // XINST disabled
                                                        // LVP disabled
                                                        // STVREN enabled
#else
    const rom unsigned char config4L = 0b10000001;      // DEBUG disabled,
                                                        // XINST disabled
                                                        // LVP disabled
                                                        // STVREN enabled
#endif

    #pragma romdata CONFIG5L = 0x300008
#ifdef NO_CODE_PROTECT
    const rom unsigned char config5L = 0b11111111;      // Code protect off
#else
    const rom unsigned char config5L = 0b00000000;      // Code protect on
#endif

    #pragma romdata CONFIG5H = 0x300009
#if defined(NO_CODE_PROTECT)
    const rom unsigned char config5H = 0b11111111;      // Bootblock off / EE protect off
#elif defined(CODE_PROTECT)
    const rom unsigned char config5H = 0b10000000;      // Bootblock on / EE protect off
#else
    #error "code protect not defined"
#endif

    #pragma romdata CONFIG6L = 0x30000A
    const rom unsigned char config6L = 0b11111111;      // Write protect off

    #pragma romdata CONFIG6H = 0x30000B
    const rom unsigned char config6H = 0b11111111;      // Write protect off

    #pragma romdata CONFIG7L = 0x30000C
    const rom unsigned char config7L = 0b11111111;      // Read protect off

    #pragma romdata CONFIG7H = 0x30000D
    const rom unsigned char config7H = 0b11111111;      // Read protect off

    #pragma romdata

